#!/bin/bash
set -e
BDATE="2017-10-02T12:34:10-07:00"
ROM_URL="https://mirrors.apple2.org.za/Apple%20II%20Documentation%20Project/Computers/Apple%20II/Apple%20IIc/ROM%20Images/Apple%20IIc%20ROM%2004%20-%20341-0445-B.bin"
echo ${BDATE}
if [ -e `which curl` ]; then
  curl -s "${ROM_URL}" > iic_rom4.bin
elif [ -e `which wget` ]; then
  wget -O iic_rom4.bin "${ROM_URL}"
else
  echo "Can't download source ROM image!"
fi
cp iic_rom4.bin iic_rom4x.bin
dd if=B0_C552_patch_bootfail.b of=iic_rom4x.bin bs=1 seek=1362 conv=notrunc
dd if=B0_C763_switcher.b of=iic_rom4x.bin bs=1 seek=1891 conv=notrunc
dd if=B0_FAB4_patch_pwrup.b of=iic_rom4x.bin bs=1 seek=15028 conv=notrunc
dd if=B0_FAC8_patch_reset.b of=iic_rom4x.bin bs=1 seek=15048 conv=notrunc
dd if=B1_C763_switcher.b of=iic_rom4x.bin bs=1 seek=18275 conv=notrunc
dd if=B1_E000_rom4x.b of=iic_rom4x.bin bs=1 seek=24576 conv=notrunc
dd if=B1_E400_new_bootfail.b of=iic_rom4x.bin bs=1 seek=25600 conv=notrunc
if [ -e `which shasum` ]; then
  shasum -a 256 -c rom.sha256
elif [ -e "sha256sum" ]; then
  sha256sum -c rom.sha256
else
  echo "Please check the .bin files against rom.sha256"
fi
echo "iic_rom4x.bin created!"
